Skip to main content
GET
/
api
/
v1
/
sync
/
runs
List All Sync Run Summaries
curl --request GET \
  --url https://api.example.com/api/v1/sync/runs \
  --header 'Authorization: Bearer <token>'
[
  {
    "run_id": "<string>",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "provider": "<string>",
    "source": "<string>",
    "stage": "<string>",
    "status": "<string>",
    "last_update": "2023-11-07T05:31:56Z",
    "message": "<string>",
    "progress": 123,
    "items_processed": 123,
    "items_total": 123,
    "error": "<string>",
    "primary_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "started_at": "2023-11-07T05:31:56Z",
    "ended_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Open-Wearables-API-Key
string | null

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 10000
user_id
string<uuid> | null

Filter by user ID.

provider
string | null

Filter by provider name.

status
string | null

Filter by status.

source
string | null

Filter by source.

Response

Successful Response

run_id
string
required
user_id
string<uuid>
required
provider
string
required
source
string
required
stage
string
required
status
string
required
last_update
string<date-time>
required
message
string | null
progress
number | null
items_processed
integer | null
items_total
integer | null
error
string | null
primary_user_id
string<uuid> | null
started_at
string<date-time> | null
ended_at
string<date-time> | null